{ config, pkgs, ... }:

{
  home-manager.users."${config.system.singleUser}".programs.waybar = {
    enable = true;
    settings = [
      {
        layer = "bottom";
        position = "top";
        gtk-layer-shell = true;

        modules-left = [ "custom/grid" "sway/workspaces" "sway/mode" ];
        modules-center = [ "clock" ];
        modules-right = [ "tray" "idle_inhibitor" "pulseaudio" "custom/menu" ];

        modules = {
          "sway/workspaces" = {
            disable-scroll = true;
            all-outputs = true;
          };
          "custom/grid" = {
            format = "Start";
            on-click = "${pkgs.nwg-launchers}/bin/nwggrid";
          };
          "custom/menu" = {
            format = "Menu";
            on-click = "${pkgs.nwg-menu}/bin/nwg-menu -ha right -va top -d -fm ${pkgs.gnome.nautilus}";
          };
        };
      }
    ];
  };
}
